Last Comment Bug 745904 - GCLI needs extra unit tests for recently added code
: GCLI needs extra unit tests for recently added code
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
:
Mentors:
Depends on:
Blocks: 745773
  Show dependency treegraph
 
Reported: 2012-04-16 13:05 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-05-16 13:17 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (61.86 KB, patch)
2012-05-11 06:37 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
Upload 2 (61.79 KB, patch)
2012-05-11 11:08 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-16 13:05:51 PDT
Specifically to answer https://github.com/campd/gcli/pull/31#commitcomment-1208061
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-16 15:01:53 PDT
https://github.com/campd/gcli/pull/32
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-11 06:37:54 PDT
Created attachment 623119 [details] [diff] [review]
Upload 1

a.k.a https://github.com/campd/gcli/pull/32 (with the 2 extra commits)
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-11 11:08:51 PDT
Created attachment 623223 [details] [diff] [review]
Upload 2

I'm not sure if we worry about file permissions - the previous patch had some files set to 755 rather than 644. This fixes that.
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-15 05:09:23 PDT
Try before land:
https://tbpl.mozilla.org/?tree=Try&rev=eba127ab7962

Fx-Team:
https://tbpl.mozilla.org/?tree=Fx-Team&rev=0f08ab4dfcac
Comment 6 Rob Campbell [:rc] (:robcee) 2012-05-16 13:17:44 PDT
https://hg.mozilla.org/mozilla-central/rev/1e82a90aeee4

Note You need to log in before you can comment on or make changes to this bug.